#ifndef _UART_TRANSFER_H
#define _UART_TRANSFER_H

typedef struct {
    u16 done;
    u16 len;
    u16 backlen;
    u32 timeout;
    u32 tick;
    u8 buf[64 + 10];
    u8 bufback[64 + 10];
} uart_transfer_cb_typedef;

extern uart_transfer_cb_typedef uart_rx;

void uart_transfer_init(u32 baud);
void uart_transfer_data();
void uart_to_wireless_transfer_data();
void udet_transfer_example(void);
void udet_transfer_init(u32 baud);

#endif // _UART_TRANSFER_H
